# setEncounterRewards | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function setEncounterRewards

- setEncounterRewards(
  customShopRewards?: CustomModifierSettings ,
  eggRewards?: IEggOptions [],
  preRewardsCallback?: Function,
  ): void

  Will initialize reward phases to follow the mystery encounter Can have shop displayed or skipped

  #### Parameters

  - `Optional` customShopRewards: CustomModifierSettings

    adds a shop phase with the specified rewards / reward tiers

  - `Optional` eggRewards: IEggOptions []
  - `Optional` preRewardsCallback: Function

    can execute an arbitrary callback before the new phases if necessary (useful for updating items/party/injecting new phases before `MysteryEncounterRewardsPhase`)

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:766